package domain


type AlibabaWdkRefundAggregateRefundAggregateQueryResult struct {
    /*
        接口返回码. 如果返回 HM05038888888006 需重试(数据查询失败，请重试，注意限定重试次数)     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        接口返回码描述     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        退款单id列表     */
    RefundIdList  *[]int64 `json:"refund_id_list,omitempty" `

    /*
        淘鲜达子订单id列表     */
    BizIdList  *[]int64 `json:"biz_id_list,omitempty" `

    /*
        淘宝子订单id列表     */
    TbBizIdList  *[]int64 `json:"tb_biz_id_list,omitempty" `

    /*
        结果数量     */
    TotalNum  *int64 `json:"total_num,omitempty" `

    /*
        下一页序号     */
    NextIndex  *int64 `json:"next_index,omitempty" `

}

func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetReturnCode(v string) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetReturnMsg(v string) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetRefundIdList(v []int64) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.RefundIdList = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetBizIdList(v []int64) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.BizIdList = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetTbBizIdList(v []int64) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.TbBizIdList = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetTotalNum(v int64) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.TotalNum = &v
    return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryResult) SetNextIndex(v int64) *AlibabaWdkRefundAggregateRefundAggregateQueryResult {
    s.NextIndex = &v
    return s
}
